<template>
  <form class="ml-lg-4 mb-2 mb-lg-0" :class="{
    'mobile-search-bar': hideOnMobileView,
    'd-lg-flex': hideOnMobileView,
    'd-lg-none': !hideOnMobileView
  }" @submit.prevent="search()">
    <div class="d-flex searchbarHeader">
      <div class="input-group-prepend">
        <!-- <input class="form-control" name="term"> -->
        <input class="search-input" type="text" :placeholder="$t('message.header.searchBar.placeholder')"
          v-model="q" aria-label="Search">
      </div>
      <div class="input-group-append ">
        <button ref="searchButton" type="submit" class="btn search-button text-primary">
          <div v-if="hideOnMobileView">Search</div>
          <div v-else >
            <font-awesome-icon :icon="['fas', 'search']" class="deu-icon deu-icon__bars search-icon searchIconMobileSmall" />
          </div>
        </button>
      </div>
    </div>
  </form>
</template>

<script>
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';

export default {
  name: 'SearchBar',
  components: {
    FontAwesomeIcon
  },
  props: {
    hideOnMobileView: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      q: '',
    };
  },
  computed: {
    searchPath() {
      return `/data/datasets?query=${this.q}&locale=${this.$route.query.locale}`;
    },
  },
  methods: {
    search() {
      window.location.href = this.searchPath;
    },
    toggleMobileSearchBar() {
      this.$emit('mobileSearchBar', this.isMobileSearchBarVisible);
    },
  },
  created() { },
};
</script>

<style lang="scss" scoped>
.searchIconMobileSmall{
  width: 16px;
    height: 16px;

}
.search-button {
  padding: 0 10px !important;
  display: flex;
  justify-content: center;
  background-color: $primary-lighter;
  border-radius: 0 5px 5px 0 !important;
  font-size: 1rem !important;
  color: white !important;

  &:hover {
    background-color: #3e6cd5 !important;
    border-color: #3e6cd5  !important;

  }
}

.violet {
  background-color: #D5D6F7;
}

.search-input {

  outline: none;
  padding: 1rem;

  height: 100% !important;
  border: none !important;
  border-radius: 0 !important;
  background: none !important;
  width: 400px;
  @media only screen and (max-width: $mobile) {
    // width: 220px !important;
  }
}

.searchbarHeader {
 border:1px solid black;
  border-radius: 5px;
  background: white !important;
}

.mobile-search-bar {
  display: none;
}

.input-group {
  border: 1px solid #9F9F9F;
  height: 44px;

}

.input-group-append {
  margin-left: 0px !important;
}

.input-group-prepend {
  flex-grow: 1;
  height: 100% !important;
}
</style>
